Package fr.gouv.vitam.functional.administration.core.schema

# Class SchemaImportReport

java.lang.Object
fr.gouv.vitam.functional.administration.core.schema.SchemaImportReport

public class SchemaImportReport extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `STATUS_CODE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchemaImportReport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `getCreatedSchemaPaths()`
  `Set<String>`
  `getErrorSchemaPaths()`
  `FunctionalOperationModel`
  `getOperation()`
  `StatusCode`
  `getStatusCode()`
  `SchemaImportReport`
  `setCreatedSchemaPaths(Set<String> createdSchemaPaths)`
  `void`
  `setErrorSchemaPaths(Set<String> errorSchemaPaths)`
  `SchemaImportReport`
  `setOperation(FunctionalOperationModel operation)`
  `SchemaImportReport`
  `setStatusCode(StatusCode statusCode)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STATUS_CODE

    public static final String STATUS_CODE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SchemaImportReport

    public SchemaImportReport()

- ## Method Details

  - ### setOperation

    public SchemaImportReport setOperation(FunctionalOperationModel operation)

  - ### setStatusCode

    public SchemaImportReport setStatusCode(StatusCode statusCode)

  - ### setCreatedSchemaPaths

    public SchemaImportReport setCreatedSchemaPaths(Set<String> createdSchemaPaths)

  - ### getOperation

    public FunctionalOperationModel getOperation()

  - ### getStatusCode

    public StatusCode getStatusCode()

  - ### getCreatedSchemaPaths

    public Set<String> getCreatedSchemaPaths()

  - ### getErrorSchemaPaths

    public Set<String> getErrorSchemaPaths()

  - ### setErrorSchemaPaths

    public void setErrorSchemaPaths(Set<String> errorSchemaPaths)